Subject: Re: [PATCH] mlx4_core: module param to limit msix vec allocation

From: Arthur Kepner <[email-masked]>
Date: Fri, 3 Sep 2010 15:13:03 -0700

On Fri, Sep 03, 2010 at 02:46:58PM -0700, David Miller wrote:
> From: Arthur Kepner <[email-masked]>
> Date: Fri, 3 Sep 2010 13:30:44 -0700
> 
> > I have that running on a (very small) system and it seems to 
> > work OK. Will send out the patch in just a minute.
> 
> Failure vs. non-failure of allocation of a kernel managed physical
> resource can't be determined by a userland process which may or may
> not be running.

But even if there's no user process running, it's no worse 
than what we've got now.

> 
> In fact, if I build all of my drivers built-in and use NFS root which
> will activate and bring up network devices, userland won't even be
> present when the interrupts are requested.

Yep. This only works once the user-level irq balancer is 
available. 

> 
> No, you really can't do it this way, IRQ allocation management has to
> be in the kernel.

Really? I was specifically trying to avoid that, and let the 
policy about interrupt assignment be done in a user process. 

Do you have any specific ideas about how that'd look? 

-- 
Arthur